<template>
  <footer class="bg-dark-blue">
    <div class="container">
      <div class="pt-6 footer-top pb-10">
        <div class="text-28px font-medium mb-6">
          <div class="text-white leading-140">Hello, we are</div>
          <div class="text-green-spring leading-none">ThinkView.</div>
        </div>
        <div
          v-for="link in MenuLinks"
          :key="'link' + link.id"
          class="text-lg leading-140 mb-4 last:mb-0"
        >
          <nuxt-link
            class="text-white hover:text-green-spring"
            :to="{ name: 'category' }"
          >
            {{ link.name }}
          </nuxt-link>
        </div>
      </div>
    </div>
    <div class="copyright pb-8">
      <div class="container block md:flex md:items-center">
        <div class="block md:flex items-center">
          <div class="text-gray-medium text-14px space-x-4 flex items-center">
            <a
              class="leading-140 hover:text-green-spring pr-6 border-r border-solid border-white border-opacity-15"
              href="#"
            >
              Về chúng tôi
            </a>
            <a
              class="hover:text-green-spring flex pr-6 items-center border-r border-solid border-white border-opacity-15"
              href="#"
            >
              <svg-icon name="icon-iPhone" class="h-4 w-4 mr-2"></svg-icon>
              <span>Liên hệ</span>
            </a>
            <a class="hover:text-warning flex items-center" href="#">
              <svg-icon
                name="icon-ads"
                class="text-warning h-4 w-4 mr-2"
              ></svg-icon>
              <span>Tài trợ</span>
            </a>
          </div>
          <div
            class="text-gray-medium flex items-center mb-10 mt-6 pt-6 border-t border-solid border-white border-opacity-15"
          >
            <div>
              <ul class="flex items-center space-x-8">
                <li v-for="social in socials" :key="'social' + social.name">
                  <a
                    href="#"
                    class="text-gray-medium flex items-center hover:text-green-spring"
                  >
                    <svg-icon :name="social.icon" class="w-6 h-6"></svg-icon>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="md:ml-auto text-gray-medium text-xs leading-140">
          Phát triển bởi đội ngũ ThinkView, bằng cả con tim.
        </div>
      </div>
    </div>
  </footer>
</template>
<script>
export default {
  name: 'TheFooterMobile',
  props: {
    logo: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      socials: [
        {
          name: 'Facebook',
          icon: 'icon-facebook',
          url: ''
        },
        {
          name: 'Youtube',
          icon: 'icon-youtube',
          url: ''
        },
        {
          name: 'Instagram',
          icon: 'icon-instagram',
          url: ''
        },
        {
          name: 'Twitter',
          icon: 'icon-twitter',
          url: ''
        },
        {
          name: 'hello@thinkview.vn',
          icon: 'icon-mail',
          url: ''
        }
      ]
    }
  },
  computed: {
    MenuLinks() {
      return this.$store.getters.MainMenu
    }
  }
}
</script>
